package gui

// adminGui.go provides tools for Seekia admins to view/change/broadcast network parameters

import "fyne.io/fyne/v2"
import "fyne.io/fyne/v2/container"
import "fyne.io/fyne/v2/widget"


func setAdminToolsPage(window fyne.Window){

	//TODO

	title := getPageTitleCentered("Admin Tools")

	description := getLabelCentered("Manage admin duties.")

	viewNetworkParametersButton := widget.NewButton("View Network Parameters", func(){
			//TODO
			showUnderConstructionDialog(window)
		})
	
	changeNetworkParametersButton := widget.NewButton("Change Network Parameters", func(){
			//TODO
			showUnderConstructionDialog(window)
		})

	manageMyAdminIdentityButton := widget.NewButton("Manage My Admin Identity", func(){
			//TODO
			showUnderConstructionDialog(window)
		})

	buttonsGrid := getContainerCentered(container.NewGridWithColumns(1, viewNetworkParametersButton, changeNetworkParametersButton, manageMyAdminIdentityButton))

	page := container.NewVBox(title, widget.NewSeparator(), description, buttonsGrid)

	setPageContent(page, window)
}



